Skip to main content
PATCH
/
customers
/
{customer_id}
Update customer
curl --request PATCH \
  --url https://api.zenskar.com/customers/{customer_id} \
  --header 'Content-Type: application/json' \
  --header 'organisation: <api-key>' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "external_id": "<string>",
  "customer_name": "<string>",
  "custom_data": {},
  "address": {
    "line1": "<string>",
    "line2": "<string>",
    "line3": "<string>",
    "city": "<string>",
    "state": "<string>",
    "zipCode": "<string>",
    "country": "<string>",
    "country_code": "<string>",
    "validation_status": "<string>",
    "connector_validation": {}
  },
  "ship_to_address": {
    "line1": "<string>",
    "line2": "<string>",
    "line3": "<string>",
    "city": "<string>",
    "state": "<string>",
    "zipCode": "<string>",
    "country": "<string>",
    "country_code": "<string>",
    "validation_status": "<string>",
    "connector_validation": {}
  },
  "tax_info": [
    {
      "country_code": "<string>",
      "tax_code": "<string>",
      "tax_id": "<string>"
    }
  ],
  "phone_number": "<string>",
  "email": "jsmith@example.com",
  "connector": {
    "name": "<string>",
    "reference_id": "<string>"
  },
  "communications_enabled": true,
  "auto_charge_enabled": true,
  "business_entity_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "external_id": "<string>",
  "customer_name": "<string>",
  "custom_data": {},
  "address": {
    "line1": "<string>",
    "line2": "<string>",
    "line3": "<string>",
    "city": "<string>",
    "state": "<string>",
    "zipCode": "<string>",
    "country": "<string>",
    "country_code": "<string>",
    "validation_status": "<string>",
    "connector_validation": {}
  },
  "ship_to_address": {
    "line1": "<string>",
    "line2": "<string>",
    "line3": "<string>",
    "city": "<string>",
    "state": "<string>",
    "zipCode": "<string>",
    "country": "<string>",
    "country_code": "<string>",
    "validation_status": "<string>",
    "connector_validation": {}
  },
  "tax_info": [],
  "email": "<string>",
  "custom_attributes": {},
  "phone_number": "<string>",
  "communications_enabled": true,
  "auto_charge_enabled": true,
  "business_entity_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}

Documentation Index

Fetch the complete documentation index at: https://docs2.zenskar.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
default:<your-api-key>
required
organisation
string
header
default:<your-organisation-id>
required

Path Parameters

customer_id
string
required

Body

application/json

Update Customer RequestSchema

external_id
string | null

External Customer Id

Maximum string length: 255
customer_name
string | null

Customer name

custom_data
Custom Data · object

Customer Custom Data

address
Address · object

Customer Address

ship_to_address
Address · object

Customer Ship To Address

tax_info
TaxId · object[] | null

Customer Tax Ids

phone_number
string | null

Customer Phone Number

email
string<email> | null

Customer primary email address

connector
Connector · object

Connector

communications_enabled
boolean | null

To enable/disable communications

auto_charge_enabled
boolean | null

To enable/disable auto-charge

business_entity_id
string<uuid> | null

Business Entity Id

Response

Successful Response

Create Customer Response Schema

id
string<uuid>
required

Customer Id

external_id
string | null
required

External Customer Id

customer_name
string
required

Customer name

custom_data
Custom Data · object
required

Customer Custom Data

address
AddressResponse · object
required

Customer Address

ship_to_address
AddressResponse · object

Customer Ship To Address

tax_info
TaxId · object[] | null

Customer Tax Ids

email
string | null

Customer primary email address

custom_attributes
Custom Attributes · object

Customer Tags

phone_number
string | null

Customer Phone Number

communications_enabled
boolean | null
default:true

To enable/disable communications

auto_charge_enabled
boolean | null
default:true

To enable/disable auto-charge

business_entity_id
string<uuid> | null

Business Entity Id